osgViewer::GraphicsWindowX11::WindowData Struct Reference

`#include <GraphicsWindowX11>`

Inheritance diagram for osgViewer::GraphicsWindowX11::WindowData:

## Public Member Functions

| WindowData (Window window)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

Window | _window

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

WindowData is used to pass in the X11 window handle attached the GraphicsContext::Traits structure.

## Constructor & Destructor Documentation

## WindowData()

osgViewer::GraphicsWindowX11::WindowData::WindowData | ( | Window | window | ) |

inline

References _window.

## Member Data Documentation

## _window

Window osgViewer::GraphicsWindowX11::WindowData::_window

Referenced by WindowData().

The documentation for this struct was generated from the following file:

- GraphicsWindowX11